%define name	libezV24
%define version	0.1.1
%define release 6%{?dist}

%ifarch i686 pentium3 pentium4 athlon
# XXX Hany: to avoid:
#	strip: /var/tmp/ezV24-buildroot/usr/lib/stRJ6fKs/ezV24.o: Invalid operation
%define __os_install_post /usr/lib/rpm/brp-compress \
/usr/lib/rpm/brp-strip \
/usr/lib/rpm/brp-strip-comment-note \
%{nil}
%endif

Name: 	 	%{name}
Summary: 	Easy to use programming interface for Linux serial ports
Group:          System Environment/Libraries
Version: 	%{version}
Release: 	%{release}
Provides:	ezV24
Obsoletes:	ezV24

Source:		%{name}-%{version}.tar.bz2
URL:		http://ezv24.sourceforge.net/
License:	GPL
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The goal of this library is to provide an easy to use programming interface to
the serial ports of the Linux system.

%package -n 	%{name}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/Libraries
Requires: 	%{name} >= %{version}

%description -n %{name}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
# setup opt flags
perl -p -i -e "s/-O2\ /$RPM_OPT_FLAGS\ /g" Makefile

%build
make shared
make static
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir
install -d -m 755 %buildroot/usr/include/ezV24
install -m 644 ezV24.h %buildroot/usr/include/ezV24
install -m 644 -s %name-0_s.a %buildroot/%_libdir
install -m 755 -s %name.so.0.1 %buildroot/%_libdir
ln -s %name.so.0.1 %buildroot/%_libdir/%name.so.0
ln -s %name.so.0.1 %buildroot/%_libdir/%name.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPY* HISTORY README
%{_libdir}/*.so.*

%files -n %{name}-devel
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPY* HISTORY README
%{_includedir}/ezV24
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Tue May 15 2007 Peter Hanecak <hany@hany.sk> 0.1.1-6
- rebulild for Doors 10.0 (FC6)
- spec renamed from ezV24.spec to libezV24.spec and slightly reorganized
- added %%{?dist} into spec
- obsoletes ezV24

* Wed Apr  5 2006 Peter Hanecak <hany@hany.sk> 0.1.1-5
- rebulild for Doors 9.0 (FC5)

* Fri Sep 16 2005 Peter Hanecak <hanecak@megaloman.sk> 0.1.1-4
- do not use /usr/lib/rpm/brp-strip-static-archive when building for i686,
  pentium3, pentium4 or athlon architecture

* Mon Aug 29 2005 Peter Hanecak <hanecak@megaloman.sk> 0.1.1-3
- rebuild for Doors 8.0 (FC4)

* Tue Aug 10 2004 Peter Hanecak <hanecak@megaloman.sk> 0.1.1-2

* Tue Mar  2 2004 Peter Hanecak <hanecak@megaloman.sk> 0.1.1-1
- adapted to Doors Linux

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.1.1-2mdk
- DIRM

* Sun Apr 13 2003 Austin Acton <aacton@yorku.ca> 0.1.1-1mdk
- initial package
